Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 56641 - Ebuild: gnome-apps/gaphor-0.12.5
Summary: Ebuild: gnome-apps/gaphor-0.12.5
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Default Assignee for New Packages
URL: http://gaphor.sf.net
Whiteboard:
Keywords: EBUILD, InVCS
Depends on: 61835 164647
Blocks:
  Show dependency tree
 
Reported: 2004-07-10 16:28 UTC by Hypnos
Modified: 2019-05-15 16:26 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gaphor-0.4.0.ebuild (gaphor-0.4.0.ebuild,902 bytes, text/plain)
2004-07-10 16:28 UTC, Hypnos
Details
ebuild for gaphor 0.5.0 (gaphor-0.5.0.ebuild,1017 bytes, text/plain)
2004-08-26 10:40 UTC, Chris Mayo
Details
ebuild for gaphor 0.6.0 (gaphor-0.6.0.ebuild,967 bytes, text/plain)
2004-10-02 06:11 UTC, Chris Mayo
Details
gaphor-0.7.0.1 (gaphor-0.7.0.1.ebuild,796 bytes, text/plain)
2005-01-11 15:27 UTC, Yaron Tausky
Details
gaphor-0.7.1_pre.ebuild (gaphor-0.7.1_pre.ebuild,842 bytes, text/plain)
2005-09-27 10:58 UTC, Chris Mayo
Details
gaphor-0.7.1.ebuild (gaphor-0.7.1.ebuild,795 bytes, text/plain)
2005-10-10 09:47 UTC, Chris Mayo
Details
gaphor-0.8.0.ebuild (gaphor-0.8.0.ebuild,905 bytes, text/plain)
2006-02-03 11:03 UTC, Chris Mayo
Details
gaphor-0.8.1.ebuild (gaphor-0.8.1.ebuild,1.03 KB, text/plain)
2006-04-24 21:32 UTC, Ed Catmur
Details
Bad patch to fix configure failure due to gtk using X problem (gaphor-gtk-config.patch,1.17 KB, patch)
2006-06-11 11:28 UTC, Eric Anderson
Details | Diff
gaphor-setup.patch (gaphor-setup.patch,482 bytes, patch)
2006-06-12 17:55 UTC, Ed Catmur
Details | Diff
gaphor-0.9.1.ebuild (gaphor-0.9.1.ebuild,717 bytes, text/plain)
2007-01-30 19:27 UTC, Chris Mayo
Details
gaphor-0.9.1-setup.patch (gaphor-0.9.1-setup.patch,1.35 KB, patch)
2007-01-30 19:28 UTC, Chris Mayo
Details | Diff
gaphor-0.9.1.ebuild (gaphor-0.9.1.ebuild,981 bytes, text/plain)
2007-01-31 03:11 UTC, Ed Catmur
Details
files/gaphor-0.9.1-setup.patch (gaphor-0.9.1-setup.patch,1.40 KB, patch)
2007-01-31 03:12 UTC, Ed Catmur
Details | Diff
dev-util/gaphot/gaphor-0.9.2.ebuild (gaphor-0.9.2.ebuild,1.00 KB, text/plain)
2007-03-21 00:02 UTC, Bel Zébute
Details
dev-util/gaphor/files/gaphor-0.9.2-setup.patch (gaphor-0.9.2-setup.patch,1.52 KB, patch)
2007-03-21 00:06 UTC, Bel Zébute
Details | Diff
gaphor-0.9.2.ebuild (gaphor-0.9.2.ebuild,935 bytes, text/plain)
2007-03-21 18:08 UTC, Chris Mayo
Details
gaphor-0.9.2-build.patch (gaphor-0.9.2-build.patch,499 bytes, patch)
2007-03-21 18:09 UTC, Chris Mayo
Details | Diff
gaphor-0.9.2-setup.patch (gaphor-0.9.2-setup.patch,998 bytes, patch)
2007-03-21 18:09 UTC, Chris Mayo
Details | Diff
gaphor-0.9.2.ebuild (gaphor-0.9.2.ebuild,958 bytes, text/plain)
2007-03-25 20:36 UTC, Ed Catmur
Details
files/gaphor-0.9.2-setup.patch (gaphor-0.9.2-setup.patch,964 bytes, patch)
2007-03-25 20:37 UTC, Ed Catmur
Details | Diff
files/gaphor-0.9.2-build.patch (gaphor-0.9.2-build.patch,675 bytes, patch)
2007-03-25 20:37 UTC, Ed Catmur
Details | Diff
files/gaphor-0.9.2-install.patch (gaphor-0.9.2-install.patch,1.43 KB, patch)
2007-03-25 20:38 UTC, Ed Catmur
Details | Diff
gaphor-0.9.2.ebuild (gaphor-0.9.2.ebuild,1003 bytes, text/plain)
2007-08-14 10:53 UTC, Chris Mayo
Details
gaphor-0.12.4.ebuild (gaphor-0.12.4.ebuild,694 bytes, text/plain)
2007-10-27 01:54 UTC, Matt Jorde
Details
updated version of gaphor (gaphor-0.12.5.ebuild,979 bytes, text/plain)
2008-01-31 22:49 UTC, Ian Wilder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hypnos 2004-07-10 16:28:09 UTC
Attached below is an ebuild for gaphor, a UML 2.0 modeling tool for GNOME.

NOTE:  x11-libs/diacanvas must be bumped up to 0.13.0 for gaphor to work!
Comment 1 Hypnos 2004-07-10 16:28:39 UTC
Created attachment 35136 [details]
gaphor-0.4.0.ebuild
Comment 2 Chris Mayo 2004-08-26 10:40:20 UTC
Created attachment 38250 [details]
ebuild for gaphor 0.5.0

Gaphor has made it to 0.5.0! Attaching a new ebuild because I had problems with
the setup.py and plugins so added some sedding here and reported it upstream.

N.B. also created Bug#: 61835 for diacanvas-0.13.1
Comment 3 Chris Mayo 2004-10-02 06:11:59 UTC
Created attachment 40918 [details]
ebuild for gaphor 0.6.0

Gaphor 0.6 fixes the previous setup.py problems. But the tarball contains an
extra directory data/plugins/pynsource/pynsource-1.4a that breaks the install.
This ebuild is therefor a copy of 0.4 with an extra line to remove that
directory before installing.
Comment 4 Yaron Tausky 2005-01-11 15:27:07 UTC
Created attachment 48250 [details]
gaphor-0.7.0.1

Created an ebuild for version 0.7.0.1
Basically it's a version bump, but I removed src_compile as it's no longer
necessary, and set variable S because the archive contains a directory
gaphor-0.7.0 (incorrect version).
Comment 5 Yaakov S 2005-02-08 16:04:27 UTC
setup.py in 0.7.0.1 tries to check for the pygtk and gnome-python modules, which fails when emerging from console.  Was anyone able to work around this?
Comment 6 Fabian Sturm 2005-03-06 07:10:04 UTC
Just tested the 0.7.0.1 ebuild, works fine here with diacanvas 0.14.2 installed.
No errors / warnings. 
Comment 7 Christian Schwinn 2005-04-25 12:50:35 UTC
How can I emerge diacanvas >= 0.13.0

emerge only finds diacanvas 0.10.0

Greetz,
Chris
Comment 8 Yaakov S 2005-04-27 16:29:42 UTC
Re comment 7: see bug 61835.
Comment 9 Mystilleef 2005-04-28 05:21:09 UTC
Didn't work here. I have diacanvase-0.14.2 installed, but the build fails saying it can't find it. Any pointers are welcome. I'm using python 2.4.

>>> Source unpacked.
/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/build_mo.py:11: DeprecationWarning: Non-ASCII character '\xf6' in file /tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py on line 3, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details
  import msgfmt
running build
running config
Module 'xml.parsers.expat' found.
Module 'gtk' found.
  Checking key 'gtk.gtk_version' >= 2.0... Okay (2.6.7).
  Checking key 'gtk.pygtk_version' >= 2.0... Okay (2.6.1).
Module 'gnome' found.
Module 'gnome.canvas' found.
!!! Required module 'diacanvas' not found.

Config failed.
The following modules can not be found or are to old:
  'diacanvas'
Comment 10 Mystilleef 2005-04-28 06:18:08 UTC
Okay, I figured out what the problem was, I had to provide a symlink for diacanvas library in 2.3 to 2.4. I did that and that fixed the problem temporarily. But I now, I'm getting this error:


converting po/nl.po -> build/locale/nl.mo
Traceback (most recent call last):
  File "setup.py", line 389, in ?
    cmdclass={'config': config_Gaphor,
  File "/usr/lib/python2.4/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/usr/lib/python2.4/distutils/dist.py", line 946, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "setup.py", line 140, in run
    build.run(self)
  File "/usr/lib/python2.4/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.4/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/build_mo.py", line 65, in run
    msgfmt.make(pofile, outfile)
  File "/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py", line 166, in make
    output = generate()
  File "/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py", line 91, in generate
    0, 0)              # size and offset of hash table
OverflowError: long int too large to convert to int

!!! ERROR: app-misc/gaphor-0.7.0.1 failed.
!!! Function distutils_src_compile, Line 38, Exitcode 1
!!! compilation failed
!!! If you need support, post the topmost build error, NOT this status message.

Help is welcome.
Comment 11 Mike Gardiner (RETIRED) gentoo-dev 2005-04-29 20:29:13 UTC
Not GNOME
Comment 12 Bel Zébute 2005-09-04 16:46:30 UTC
no good:

Calculating dependencies ...done!
>>> emerge (1 of 1) dev-util/gaphor-0.7.0.1 to /
>>> md5 files   ;-) gaphor-0.7.0.1.ebuild
>>> md5 files   ;-) files/digest-gaphor-0.7.0.1
>>> md5 src_uri ;-) gaphor-0.7.0.1.tar.gz
>>> Unpacking source...
>>> Unpacking gaphor-0.7.0.1.tar.gz to /var/tmp/portage/gaphor-0.7.0.1/work
>>> Source unpacked.
/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/build_mo.py:11:
DeprecationWarning: Non-ASCII character '\xf6' in file
/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py on line 3, but
no encoding declared; see http://www.python.org/peps/pep-0263.html for details
  import msgfmt
/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py:86:
FutureWarning: hex/oct constants > sys.maxint will return positive values in
Python 2.4 and up
  0x950412de,        # Magic
running build
running config
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Module 'xml.parsers.expat' found.
Traceback (most recent call last):
  File "setup.py", line 389, in ?
    cmdclass={'config': config_Gaphor,
  File "/usr/lib/python2.3/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/usr/lib/python2.3/distutils/dist.py", line 907, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.3/distutils/dist.py", line 927, in run_command
    cmd_obj.run()
  File "setup.py", line 139, in run
    self.run_command('config')
  File "/usr/lib/python2.3/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.3/distutils/dist.py", line 927, in run_command
    cmd_obj.run()
  File "setup.py", line 74, in run
    ('pygtk_version', (2, 0)))
  File "setup.py", line 113, in module_check
    mod = __import__(module)
  File "/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py", line 43, in ?
    from _gtk import *
RuntimeError: could not open display

!!! ERROR: dev-util/gaphor-0.7.0.1 failed.
!!! Function distutils_src_compile, Line 35, Exitcode 1
!!! compilation failed
!!! If you need support, post the topmost build error, NOT this status message.
Comment 13 Bel Zébute 2005-09-04 16:52:04 UTC
Never mind.  The message also appeared when exiting of vim.  Restarting the
shell fixed it.  Probably an environment variable got washed.
Comment 14 Henrique Ferreiro 2005-09-06 05:01:48 UTC
I got this when emerging version 0.7.0.1 whith diacanvas-0.14.2:

converting po/nl.po -> build/locale/nl.mo
Traceback (most recent call last):
  File "setup.py", line 389, in ?
    cmdclass={'config': config_Gaphor,
  File "/usr/lib/python2.4/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/usr/lib/python2.4/distutils/dist.py", line 946, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "setup.py", line 140, in run
    build.run(self)
  File "/usr/lib/python2.4/distutils/command/build.py", line 112, in run
    self.run_command(cmd_name)
  File "/usr/lib/python2.4/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/build_mo.py",
line 65, in run     msgfmt.make(pofile, outfile)
  File "/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py", line
166, in make     output = generate()
  File "/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py", line
91, in generate     0, 0)              # size and offset of hash table
OverflowError: long int too large to convert to int
Comment 15 Marcos 2005-09-27 07:16:25 UTC
I get that error when emerging. Also tried to change gnome.canvas to gnomecanvas
as suggests the error message, but the same error occurs. diacanvas-0.14.2 is
installed.

# emerge gnome-apps/gaphor
Calculating dependencies ...done!
>>> emerge (1 of 1) gnome-apps/gaphor-0.7.0.1 to /
>>> md5 files   ;-) gaphor-0.7.0.1.ebuild
>>> md5 files   ;-) files/digest-gaphor-0.7.0.1
>>> md5 src_uri ;-) gaphor-0.7.0.1.tar.gz
>>> Unpacking source...
>>> Unpacking gaphor-0.7.0.1.tar.gz to /var/tmp/portage/gaphor-0.7.0.1/work
>>> Source unpacked.
/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/build_mo.py:11:
DeprecationWarning: Non-ASCII character '\xf6' in file
/var/tmp/portage/gaphor-0.7.0.1/work/gaphor-0.7.0/utils/msgfmt.py on line 3, but
no encoding declared; see http://www.python.org/peps/pep-0263.html for details
  import msgfmt
running build
running config
Module 'xml.parsers.expat' found.
Module 'gtk' found.
  Checking key 'gtk.gtk_version' >= 2.0... Okay (2.8.3).
  Checking key 'gtk.pygtk_version' >= 2.0... Okay (2.7.4).
Module 'gnome' found.
setup.py:113: DeprecationWarning: Module gnome.canvas is deprecated; please
import gnomecanvas instead
  mod = __import__(module)
Module 'gnome.canvas' found.
!!! Required module 'diacanvas' not found.

Config failed.
The following modules can not be found or are to old:
  'diacanvas'
Comment 16 Chris Mayo 2005-09-27 10:58:29 UTC
Created attachment 69353 [details]
gaphor-0.7.1_pre.ebuild

I think Python 2.4 is the issue.

See bug #61835 for diacanvas-0.14.2-r1.ebuild which gets the python modules
built with Python 2.4 and attached an ebuild that grabs the latest gaphor from
CVS that works for me.
Comment 17 Chris Mayo 2005-09-27 11:01:52 UTC
Whoops.. at least the first time you emerge gaphor-0.7.1_pre.ebuild you'll need
to comment out the line:
ECVS_SERVER="offline"

but as sf.net CVS is so slow you may want to bring it back if you emerge again.
Comment 18 Chris Mayo 2005-10-10 09:47:32 UTC
Created attachment 70300 [details]
gaphor-0.7.1.ebuild
Comment 19 Jesse Adelman 2005-10-19 17:17:04 UTC
It appears from reading the comments that 0.7.0.1 is the last known working
version. 1 1/4 years is a long time to wait for acceptance of a working app into
Portage... Thanks in advance.
Comment 20 Jesse Adelman 2005-10-19 17:47:56 UTC
Re #18: With latest diacanvas linked to in #16, this works great here, thanks.
Comment 21 Chris Mayo 2006-02-03 11:03:46 UTC
Created attachment 78822 [details]
gaphor-0.8.0.ebuild

New version, now with added Desktop Menu Entry
(new version of diacanvas at bug 61835)
Comment 22 Jordi Vilalta 2006-02-10 18:01:23 UTC
I've discovered this great application today. I've tested the attached 0.8.0 ebuild together with diacanvas 0.14.3. It has worked like a charm in both x86 and amd64. I hope it stabilizes soon.
Comment 23 Eric Anderson 2006-02-18 10:42:44 UTC
I can re-affirm gaphor working for amd64. Gaphor is now version 0.8.1 and it works with the gaphor-0.8.0.ebuild renamed. Also, it would probably be good if we agreed on a category for it. I personally feel like app-misc is a better category than dev-util, but that is just me.
Comment 24 Ed Catmur 2006-04-24 21:32:22 UTC
Created attachment 85421 [details]
gaphor-0.8.1.ebuild

Minor QA fixes.
Comment 25 Gilles Dartiguelongue gentoo-dev 2006-06-08 03:17:58 UTC
hum, sorry guys but could somebody tell me why I got this error ?

>>> Emerging (2 of 2) gnome-extra/gaphor-0.8.1 to /
>>> checking ebuild checksums ;-)
>>> checking auxfile checksums ;-)
>>> checking miscfile checksums ;-)
>>> checking gaphor-0.8.1.tar.gz ;-)
>>> Unpacking source...
>>> Unpacking gaphor-0.8.1.tar.gz to /var/tmp/portage/gaphor-0.8.1/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/gaphor-0.8.1/work/gaphor-0.8.1 ...
running build
running config
Module 'xml.parsers.expat' found.
Traceback (most recent call last):
  File "setup.py", line 407, in ?
    cmdclass={'config': config_Gaphor,
  File "/usr/lib/python2.4/distutils/core.py", line 149, in setup
    dist.run_commands()
  File "/usr/lib/python2.4/distutils/dist.py", line 946, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "setup.py", line 139, in run
    self.run_command('config')
  File "/usr/lib/python2.4/distutils/cmd.py", line 333, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python2.4/distutils/dist.py", line 966, in run_command
    cmd_obj.run()
  File "setup.py", line 74, in run
    ('pygtk_version', (2, 8)))
  File "setup.py", line 113, in module_check
    mod = __import__(module)
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 45, in ?
    from _gtk import *
RuntimeError: could not open display

!!! ERROR: gnome-extra/gaphor-0.8.1 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called distutils_src_compile
  distutils.eclass, line 38:   Called die

!!! compilation failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


I'm trying on a pentium-m (~x86) with diacanvas 0.14.4
Comment 26 Josh Nichols (RETIRED) gentoo-dev 2006-06-08 07:16:04 UTC
Have you upgraded python recently? You might want to try running /usr/sbin/python-updater to make sure all your python packages get rebuilt for your version of python.
Comment 27 Gilles Dartiguelongue gentoo-dev 2006-06-09 10:02:25 UTC
no, this is a very new install and python-updater doesn't find anything to update.
Comment 28 Gilles Dartiguelongue gentoo-dev 2006-06-10 21:12:50 UTC
well, I re emerged expat just in case. Looking at the output of the ebuild, gaphor seems to try to access X :

running build
running config
Module 'xml.parsers.expat' found.
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

Traceback (most recent call last):
  File "setup.py", line 407, in ?
    cmdclass={'config': config_Gaphor,
[...]

this has been obtained by exporting the DISPLAY variable. But I wonder why it needs this X access.

The end result is :

[...]
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 45, in ?
    from _gtk import *
RuntimeError: could not open display

!!! ERROR: gnome-extra/gaphor-0.8.1 failed.
Comment 29 Eric Anderson 2006-06-11 06:33:05 UTC
It is needing X to check for the version of gtk in `python setup.py config`. If you try "import gtk" in python as root you get the same behavior.
Comment 30 Gilles Dartiguelongue gentoo-dev 2006-06-11 07:08:42 UTC
indeed. But how can we fix that, I think that gnome-python or gnome-python-extres is doing the same thing but it is not failing this way. I'm sorry I cannot propose a patch, I have no clue in python.
Comment 31 Eric Anderson 2006-06-11 11:28:12 UTC
Created attachment 88930 [details, diff]
Bad patch to fix configure failure due to gtk using X problem

So here is a patch, it is bad, but it "works." All it does is disable the gtk+ (and anything that uses gtk+) checks during config. This means that the only thing that is checked is expat... Not very good.

What I can't figure out is why I was able to compile gaphor fine in the past, but not now... I wonder if this is a new gtk thing (I don't think so, but I can't think of any other reason). I am using gtk+ 2.8.18.
Comment 32 Ed Catmur 2006-06-12 17:55:23 UTC
Created attachment 89012 [details, diff]
gaphor-setup.patch

Patch setup.py to accept RuntimeError when testing modules.
Comment 33 Eric Anderson 2006-06-12 22:07:24 UTC
That works for gtk+, but not things that use gtk+ (e.g., gnomecanvas and diacanvas). They throw an ImportError, so we can't except it...
Comment 34 Chris Mayo 2007-01-30 19:27:37 UTC
Created attachment 108654 [details]
gaphor-0.9.1.ebuild

0.9.1 which doesn't need diacanvas, but can clash with net-zope/zopeinterface, so a bit more patching of setup.py for that (seems to work!).
Comment 35 Chris Mayo 2007-01-30 19:28:19 UTC
Created attachment 108657 [details, diff]
gaphor-0.9.1-setup.patch
Comment 36 Ed Catmur 2007-01-31 03:11:54 UTC
Created attachment 108708 [details]
gaphor-0.9.1.ebuild

Yeah, nice. Points addressed:
* No depend on gnome-python, but dependencies on pycairo and pygobject (run-time)
* data_dir fix is hacky; will post a better one
* Installing zope is fundamentally broken; what happens when someone else installs zope modules?
Comment 37 Ed Catmur 2007-01-31 03:12:14 UTC
Created attachment 108710 [details, diff]
files/gaphor-0.9.1-setup.patch
Comment 38 Ed Catmur 2007-01-31 03:17:29 UTC
Componentised zope-{component,deprecation,exceptions} as bug 164647.
Comment 39 William Keaney 2007-02-28 03:12:27 UTC
Thanks, Ed Catmur!  Just installed gaphor-0.9.1 and the componentized zope, works beautifully.
Portage 2.1.2-r11 (default-linux/x86/2006.1, gcc-4.1.2, glibc-2.5-r0, 2.6.19-beyond2 i686)
=================================================================
System uname: 2.6.19-beyond2 i686 Mobile Intel(R) Pentium(R) 4 - M CPU 2.20GHz
Gentoo Base System release 1.12.9
Timestamp of tree: Mon, 26 Feb 2007 03:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-java/java-config: 1.3.7, 2.0.31-r3
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-fsigned-char -march=pentium4 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-fsigned-char -fomit-frame-pointer -march=pentium4 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.utf8"
LC_ALL="en_US.utf8"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/einit /usr/portage/local/layman/enlightenment /usr/portage/local/layman/xeffects /usr/portage/local/layman/custom-kernels /usr/portage/local/layman/n4g /usr/local/portage /usr/local/proaudio/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bit 16bittmp X Xaw3d aac aalib acl acpi aim aimextras allegro alsa ansi ao apache2 apm aqua_theme artworkextra async athena audiofile avi bash-completion berkdb bidi bitmap-fonts bonobo bootsplash bzip2 cairo calendar caps cardbus cdda cddb cdio cdparanoia cdr ck-plus cle266 cli corba cracklib crypt css ctype cups curl curlwrappers dba dbus dga dio directfb dlloader doc dpms dri dvd dvdr dvdread eds effects emboss emoticon encode escreen ethereal evo evolution exif expat fam fastbuild fbcon fbdev fbsplash ffcall ffmpeg firefox flac flash flood font-server fontconfig foomaticdb force-cgi-redirect fortran ftp gatos gb gd gdbm geoip gg gif gimp glibc-omitfp glitz glut glx gmail gmailtimestamps gmp gnome gnome-print gnomecanvas gnutls gphoto2 gpm gsnd gstreamer gtk2 gtkhtml gtkspell guile gzip hal hardened hardenedphp hdaps hddtemp iconv icq idn imagemagick imap imlib inkjar ipv6 irc isdnlog jabber jack jackmidi java javascript jikes jpeg jpeg2k kdeenablefina kerberos kqemu lcms ldap libcaca libg++ libgda libwww lm_sensors mad maps mcal memlimit midi mikmod mime mimencode ming mmap mmx mng mono motif mozcalendar mp3 mpeg mplayer msn msnextras ncurses new-login nextaw nfs nls nptl nptlonly nsplugin objc odbc offensive ofx ogg openal opengl openssl oscar oss pam pam_console pam_timestamp pcre pdf pdflib perl plugin pmu png posix ppds pppd prelude python qt4 quicktime readline real reflection reiser4 samba sasl scanner screen sdl sensord session simplexml slang sndfile soap sockets sounds speedo spell spl spreadsheet sse sse-filters sse2 ssl svg svga sysfs syslog sysvipc tcltk tcpd tiff tokenizer truetype truetype-fonts type1-fonts udev unicode usb userlocales vcd vcdimager vidix vim-with-x vnc vorbis win32codecs wma wmf wordperfect x86 xanim xim xine xinerama xml xml2 xorg xosd xpm xrandr xscreensaver xsl xv xvid yahoo zlib zydas" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 40 Bel Zébute 2007-03-21 00:02:56 UTC
Created attachment 113938 [details]
dev-util/gaphot/gaphor-0.9.2.ebuild

New version.
Comment 41 Bel Zébute 2007-03-21 00:06:37 UTC
Created attachment 113939 [details, diff]
dev-util/gaphor/files/gaphor-0.9.2-setup.patch

I had no other esort than to comment the part that installs the locales since it tries to install them directly into the file system and using different commands to setup.py miserably failed (--install-base=${D}/usr and the sort).

At the end, gaphor execution fails with this:

--------------------------------------------------------
Traceback (most recent call last):
  File "/usr/bin/gaphor", line 13, in ?
    gaphor.main(model)
  File "/usr/lib/python2.4/site-packages/gaphor/__init__.py", line 48, in main
    import ui
  File "/usr/lib/python2.4/site-packages/gaphor/ui/__init__.py", line 18, in ?
    import stock
  File "/usr/lib/python2.4/site-packages/gaphor/ui/stock.py", line 132, in ?
    load_stock_icons()
  File "/usr/lib/python2.4/site-packages/gaphor/ui/stock.py", line 130, in load_stock_icons
    parser.parse(filename)
  File "/usr/lib/python2.4/site-packages/_xmlplus/sax/expatreader.py", line 103, in parse
    source = saxutils.prepare_input_source(source)
  File "/usr/lib/python2.4/site-packages/_xmlplus/sax/saxutils.py", line 523, in prepare_input_source
    f = urllib2.urlopen(source.getSystemId())
  File "/usr/lib/python2.4/urllib2.py", line 130, in urlopen
    return _opener.open(url, data)
  File "/usr/lib/python2.4/urllib2.py", line 350, in open
    protocol = req.get_type()
  File "/usr/lib/python2.4/urllib2.py", line 233, in get_type
    raise ValueError, "unknown url type: %s" % self.__original
ValueError: unknown url type: usr/share/gaphor/icons.xml
-------------------------------------------------------

Hope some of you guys can improve/fix this.  I give up and will try the 0.9.1 instead.
Comment 42 Chris Mayo 2007-03-21 18:08:50 UTC
Created attachment 113990 [details]
gaphor-0.9.2.ebuild

Here's what I did (still just using the zope in the tree out of laziness, but easy to adapt).
Comment 43 Chris Mayo 2007-03-21 18:09:17 UTC
Created attachment 113992 [details, diff]
gaphor-0.9.2-build.patch
Comment 44 Chris Mayo 2007-03-21 18:09:36 UTC
Created attachment 113993 [details, diff]
gaphor-0.9.2-setup.patch
Comment 45 Ed Catmur 2007-03-25 20:36:28 UTC
Created attachment 114418 [details]
gaphor-0.9.2.ebuild

* add eutils to inherit (epatch)
* improve *DEPEND (with split zope)
* correct install sandbox vio fix
Comment 46 Ed Catmur 2007-03-25 20:37:13 UTC
Created attachment 114420 [details, diff]
files/gaphor-0.9.2-setup.patch

split zope
Comment 47 Ed Catmur 2007-03-25 20:37:59 UTC
Created attachment 114422 [details, diff]
files/gaphor-0.9.2-build.patch

correct fix
Comment 48 Ed Catmur 2007-03-25 20:38:32 UTC
Created attachment 114424 [details, diff]
files/gaphor-0.9.2-install.patch

correct sandbox fix (use --root)
Comment 49 Bel Zébute 2007-03-26 01:11:08 UTC
It worked.  Thanks Chris and Ed.  Nice team effort.
Comment 50 Yaakov S 2007-03-27 22:20:54 UTC
BTW, is it worth modularizing gaphas as well (from cheeseshop)?
Comment 51 gorf 2007-08-02 12:32:21 UTC
today the gaphor-0.11.1 released. can someone make a new ebuild for the new version? I still can not do this myself. many thanks.
Comment 52 Chris Mayo 2007-08-14 10:53:38 UTC
Created attachment 128033 [details]
gaphor-0.9.2.ebuild

Not the new version I am afraid, but make better use of distutils.eclass notably tidying up the additional modules it installs (ebuild that only depends on portage packages).
Comment 53 Matt Jorde 2007-10-27 01:54:57 UTC
Created attachment 134460 [details]
gaphor-0.12.4.ebuild

Here's an updated ebuild for Gaphor 0.12.4
Comment 54 Ian Wilder 2008-01-31 22:49:57 UTC
Created attachment 142345 [details]
updated version of gaphor

updated to the current version of gaphor. also added all the dependencies into the ebuild.

added zope module ebuilds to bug 164647 http://bugs.gentoo.org/show_bug.cgi?id=164647
created new ebuild for decorator. bug 208362 http://bugs.gentoo.org/show_bug.cgi?id=208362
created new ebuild for gaphas. bug 208360 http://bugs.gentoo.org/show_bug.cgi?id=208360
Comment 55 Luca Bruno 2008-02-20 23:17:51 UTC
Could you put this in sunrise?
Comment 56 Daniel Tourde 2008-12-18 09:45:23 UTC
Is there a chance to see Gaphor in Sunrise or in the main tree?

Daniel
Comment 57 Nikita Zlobin 2019-05-15 15:56:26 UTC
Meanwhile, latest release is 1.0.1 and it requires python3 & gtk+:3.
Yet there is unpackaged dependency - gaphas (diagramming widget).